Subject: bug#40968: 28.0.50; (apply nil)

From: Pip Cet <[email-masked]>
Date: Tue, 2 Jun 2020 07:36:26 +0000

On Thu, May 7, 2020 at 1:53 PM Mattias Engdegård <[email-masked]> wrote:
> 7 maj 2020 kl. 13.54 skrev Noam Postavsky <[email-masked]>:
>
> > The obvious solution is just to leave the weird single arg form
> > unoptimized.  Otherwise, what about your earlier suggestion?
> >
> >    (apply X) == (apply (car X) (cdr X))
>
> Yes, we are under no obligation to optimise this case in any way.

I think there's consensus, then. I've updated the documentation, in
the patch, to state that providing two or more arguments is faster.

Patch attached.